dup2.c File Reference
`#include "ruby/config.h"`
`#include <errno.h>`

Go to the source code of this file.

## Macros

#define | BADEXIT -1

## Functions

int | dup2 (int fd1, int fd2)

## Macro Definition Documentation

#define BADEXIT -1

Definition at line 24 of file dup2.c.

Referenced by dup2().

## Function Documentation

int dup2 | ( | int | fd1,
|  | int | fd2
| ) |  |

Definition at line 27 of file dup2.c.

References BADEXIT, errno, fcntl(), and i.

Referenced by chfunc(), fill_standard_fds(), io_reopen(), and main().